API
Substack API
The AI-powered Substack provides 360° Global Media Data & Intelligence on Substack writers, newsletter operators, paid subscription publishers, and independent media creators.
API Reference Version: 1.0.0 2 Endpoints Authentication
Base URL
https://pressmonitor.ca/api Authentication
All requests require x-api-key and x-subscription-id headers. x-api-key authenticates your account; x-subscription-id selects the subscribed service.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/substack_publication Substack Publication
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| publication | string | query | Yes | Publication name |
Code Examples
curl -X GET \
"https://pressmonitor.ca/api/substack_publication?publication=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/substack_posts Substack Publications
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| publication | string | query | Yes | Publication name |
| limit | integer | query | No | Number of results |
Code Examples
curl -X GET \
"https://pressmonitor.ca/api/substack_posts?publication=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success